Subject: bug#31700: closed (Re: bug#31700: Make clean deletes french manuals)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 08 Jun 2018 13:25:02 +0000

Your bug report

#31700: Make clean deletes french manuals

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31700: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31700
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31700: Make clean deletes french manuals
From: [email-masked] (Ludovic Courtès)
To: Gábor Boskovits <[email-masked]>
Cc: [email-masked], Julien Lepiller <[email-masked]>
Date: Fri, 08 Jun 2018 15:24:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Gábor Boskovits <[email-masked]> skribis:

> Thanks, Ludo, this seems to be the correct fix. Thanks for the additional
> insight.
> Please push it.

Pushed as 751164bca1030dfd14f9fa7508c03eb4b41173e4, thanks!

Ludo’.

Subject: Make clean deletes french manuals
From: Gábor Boskovits <[email-masked]>
To: [email-masked], Julien Lepiller <[email-masked]>
Date: Sun, 3 Jun 2018 23:13:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Make clean removes:
doc/contributing.fr.texi
doc/guix.fr.texi

We had a discussion on #guix with roptat, and a few others.
I have found out, that after removing $(TRANSLATED_INFO)
from $(BUILT_SOURCES) in doc/local.mk these files are not
deleted any more. I have doubts that this is a correct fix, as
this might break dependency resolution.

I also noticed, that after running make these two files end up with
different content.

If you think this fix is ok, I will send a patch.